@import url('https://fonts.googleapis.com/css2?family=Baloo+Chettan+2:wght@500&display=swap');

*{
    box-sizing:border-box;
    margin:0;
    padding:0;
}
body{
    background: url('tom-barrett-hgGplX3PFBg-unsplash.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    height:100vh;
    font-family:'Baloo Chettan 2', cursive ;
}

.container{
   padding:20px 70px;
   color:white;
}

.current-info{
    display:flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.date-container{
    font-weight:100;
}
.date-container .time{
  font-size:70px;
 
}

.date-container #am-pm{
    font-size: 30px;
    margin-left:20px;
}
.date-container .date{
    font-size:30px;
}
.place-container{
    text-align:end;
}
.place-container .time-zone{
    font-size: 30px;
    font-weight: 100;
}

.container .country{
    font-size:12px;
    font-weight: 700;
}
.current-info .others{
    display:flex;
    flex-direction:column;
    background:rgba(181, 175, 192, 0.6);
    padding:20px;
    border-radius: 10px;
    margin:10px 0;
    border:1px solid white;
    color:black;
}

.current-info .others .weather-item{
    display:flex;
    justify-content:space-between;
}

.future-forecast{
    background:rgba(181, 175, 192, 0.8);
    padding:25px;
    position: fixed;
    bottom:0;
    display: flex;
    color:black;
    width:100%;
    align-items:center;
    justify-content: center;
    overflow-y: hidden;
}
.future-forecast .today{
    display:flex;
    align-items:center;
    justify-content:center;
    border: 1px solid white;
    border-radius: 10px;
    padding:15px;
    padding-right: 40px;
    border-radius: 10px;
    background: rgba(181,175,192);
}

.future-forecast .today .day{
    padding:5px 15px;
    background:rgba(184, 182, 189, 0.2);
    border-radius: 50px;
    text-align: center;
}

.future-forecast .today .temp{
    font-size:18px;
    padding-top:15px;
}
.future-forecast .weather-forecast{
    display:flex;
}

.weather-forecast .weather-forecast-item{
  display:flex;
  flex-direction:column;
  align-items:center;  
  justify-content:center; 
  margin:0 10px;
  border: 1px solid white ;
  background:rgba(184, 182, 189, 0.2);
  border-radius: 10px;
  padding:15px;
}

.weather-forecast .weather-forecast-item .day{
    padding:5px 15px;
    background: rgba(184, 182, 189, 0.2);
    border-radius:50px;
    text-align: center;
}

.weather-forecast .weather-forecast-item .temp{
    font-weight: 100;
    font-size: 12px;

}

@media only screen and  (max-width:730px){
    
    .container{
        padding: 20px;
    }
    
    .future-forecast{
        justify-content: start;
        align-items: none;
        overflow-y: scroll;
    }

    .future-forecast .today .temp{
        font-size: 16px;
    }

    .date-container .time{
        font-size: 50px;
    }

    .date-container #am-pm{
        font-size: 20px;
    }

    .date-container .date{
        font-size: 20px;
    }

    .place-container{
        text-align: end;
        margin-top: 15px;
    }

    .place-container .time-zone{
        font-size: 20px;
    }

    .current-info .others{
        padding: 12px;
    }

    .current-info .others .weather-item{
        font-size: 14px;
    }

}

@media only screen and (max-width: 1400px){
    .future-forecast{
        justify-content: start;
        align-items: none;
        overflow-x: scroll;
    }
}
